%%% EquibRelations.m
%  Plots equilibrium densities as functions K_i and K_n

clear all
figure;
format long
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Varying Kn
    % Import density data for parameter values
    Knvals = importdata('EquibData/VaryKn_Kn.txt');
    Den_Kn_P3i = importdata('EquibData/VaryKn_P3i.txt');
    Den_Kn_P3n = importdata('EquibData/VaryKn_P3n.txt');
    Den_Kn_P5 = importdata('EquibData/VaryKn_P5.txt');
    
    subplot(2,2,1)
    hold on
    plot(Knvals,Den_Kn_P3n(:,2),'--k','Linewidth',3)
    plot(Knvals,Den_Kn_P5(:,2),'-k','Linewidth',3)
    plot([97.5 97.5],[0 80],'-k','Linewidth',1);
    xlim([45 350])
    ylim([0 80])
    set(gca,'Box','on','FontSize',16)
    set(gca,'XTick',[50 150 250 350],'YTick',[0 40 80])
    ylabel('Native Infected Density')
    xlabel('K_n')
    title('A')
    
    subplot(2,2,2)
    hold on
    plot(Knvals,Den_Kn_P3i(:,2),'--k','Linewidth',3)
    plot(Knvals,Den_Kn_P5(:,4),'-k','Linewidth',3)
    plot([97.5 97.5],[0 50],'-k','Linewidth',1);
    xlim([45 350])
    ylim([0 30])
    set(gca,'Box','on','FontSize',16)
    set(gca,'XTick',[50 150 250 350],'YTick',[0 10 20 30])
    ylabel('Invasive Infected Density')
    xlabel('K_n')
    title('B')
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Varying Ki
    % Get data
    Kivals =  importdata('EquibData/VaryKi_Ki.txt');
    Den_Ki_P3i = importdata('EquibData/VaryKi_P3i.txt');
    Den_Ki_P3n = importdata('EquibData/VaryKi_P3n.txt');
    Den_Ki_P5 = importdata('EquibData/VaryKi_P5.txt');
    
    subplot(2,2,3)
    hold on
    plot(Kivals,Den_Ki_P3n(:,2),'--k','Linewidth',3)
    plot(Kivals,Den_Ki_P5(:,2),'-k','Linewidth',3)
    plot([12.8 12.8],[0 50],'-k','Linewidth',1);
    xlim([5 39])
    ylim([0 30])
    set(gca,'Box','on','FontSize',16)
    set(gca,'XTick',[5 15 25 35],'YTick',[0 10 20])
    ylabel('Native Infected Density')
    xlabel('K_{ i}')
    title('C')
    
    subplot(2,2,4)
    hold on
    plot(Kivals,Den_Ki_P3i(:,2),'--k','Linewidth',3)
    plot(Kivals,Den_Ki_P5(:,4),'-k','Linewidth',3)
    plot([12.8 12.8],[0 50],'-k','Linewidth',1);
    xlim([5 39])
    ylim([0 20])
    set(gca,'Box','on','FontSize',16)
    set(gca,'XTick',[5 15 25 35],'YTick',[0 10 20])
    ylabel('Invasive Infected Density')
    xlabel('K_{ i}')
    title('D')    
    
