%%% EquibRelations.m
%  Plots equilibrium densities as functions of pathogen degradation

clear all
figure;
format long
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Varying alpha_in
    % Import density data for parameter values
    Dsvals = importdata('EquibData/VaryDs_Ds.txt');
    Den_ds_P3i = importdata('EquibData/VaryDs_P3i.txt');
    Den_ds_P3n = importdata('EquibData/VaryDs_P3n.txt');
    Den_ds_P5 = importdata('EquibData/VaryDs_P5.txt');
    
    subplot(1,2,1)
    hold on
    plot(Dsvals,Den_ds_P3n(:,2),'--k','Linewidth',3)
    plot(Dsvals,Den_ds_P5(:,2),'-k','Linewidth',3)
    plot([0.5 0.5],[0 60],'-k','Linewidth',1);
    xlim([0 1.1])
    ylim([0 60])
    set(gca,'Box','on','FontSize',16)
    set(gca,'XTick',[0 0.5 1],'YTick',[0 20 40 60])
    ylabel('Native Infected Density')
    xlabel('d_{s}')
    title('A')
    
    subplot(1,2,2)
    hold on
    plot(Dsvals,Den_ds_P3i(:,2),'--k','Linewidth',3)
    plot(Dsvals,Den_ds_P5(:,4),'-k','Linewidth',3)
    plot([0.5 0.5],[0 30],'-k','Linewidth',1);
    xlim([0 1.1])
    ylim([0 15])
    set(gca,'Box','on','FontSize',16)
    set(gca,'XTick',[0 0.5 1],'YTick',[0 5 10 15])
    ylabel('Invasive Infected Density')
    xlabel('d_{s}')
    title('B')
    
